Subject: Re: bug#56641: Deprecate `lsh`

From: Po Lu <[email-masked]>
Date: Wed, 20 Jul 2022 11:20:14 +0800

Eli Zaretskii <[email-masked]> writes:

> If it's rare enough (as it should be), I don't see the annoyance.  Am
> I missing something?

It might be rare, but there's nothing wrong with using lsh for its
intended purpose, which is handling negative numbers correctly in
several different situations.

Byte-compiler warnings are supposed to point out problems.  Using lsh is
not a problem, using lsh incorrectly is, so it should not issue warnings
for all uses of lsh.